﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _559697ToogleDIV : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadOrgChart1.DataFieldID = "TeamID";
        RadOrgChart1.DataFieldParentID = "ReportsTo";
        RadOrgChart1.DataTextField = "Team";
        RadOrgChart1.DataSource = CreateTeams();
        RadOrgChart1.DataBind();
    }

    private DataTable CreateTeams()
    {
        var teams = new DataTable();
        teams.Columns.Add("TeamID");
        teams.Columns.Add("ReportsTo");
        teams.Columns.Add("Team");

        teams.Rows.Add(new string[] { "1", null, "Products" });
        teams.Rows.Add(new string[] { "2", "1", ".NET Developer Tools" });
        teams.Rows.Add(new string[] { "3", "1", "HTML5 JavaScript Widgets" });

        return teams;
    }
}